#!/bin/bash

export LD_LIBRARY_PATH=/usr/share/freewb/lib
export QT_PLUGIN_PATH=/usr/share/freewb/plugins

if [ ! -d $HOME/.local/freewb ];then
mkdir $HOME/.local/freewb -p
fi

if [ ! -d $HOME/.local/freewb/config ];then
cp /usr/share/freewb/config $HOME/.local/freewb/ -r
fi

if [ ! -d $HOME/.local/freewb/data ];then
cp /usr/share/freewb/data $HOME/.local/freewb/ -r
fi

if [ ! -d $HOME/.local/freewb/skin ];then
cp /usr/share/freewb/skin $HOME/.local/freewb/ -r
fi

if [ ! -d $HOME/.local/freewb/help ]; then
cp /usr/share/freewb/help $HOME/.local/freewb/ -r
fi

if [ "$1" == "poweron" ]; then
	killall Freewb > /dev/null 2>&1
	FCITX=`ps aux | grep fcitx`
	if [[ ! $FCITX =~ "fcitx-dbus-watcher" ]]; then
    		fcitx
	fi
fi

/usr/bin/Freewb
